@charset "utf-8";

/*gw-theme02-main-gallery-type02*/
#gw-theme02-main-gallery-type02 {padding: 100px 0;background: #f7f7f7;}
#gw-theme02-main-gallery-type02 .gw-tabs{display: none;}
#gw-theme02-main-gallery-type02 .tab-content > ul > li {position:relative;width: calc(33.33% - 24px);border:1px solid #E8E8E8;border-radius: 15px;overflow: hidden;}
#gw-theme02-main-gallery-type02 .tab-content > ul > li:before {content: "";display: block;width: 100%;height: 100%;position: absolute;top: 0;left: 0;background: rgba(0,0,0,0.5);z-index: 1;opacity: 0;visibility:hidden;transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);}
#gw-theme02-main-gallery-type02 .tab-content > ul > li.on:before{opacity: 0.8;visibility: visible;}
#gw-theme02-main-gallery-type02 .gw-img{height: 25vh;overflow: hidden;background: #f8f8f8;}
#gw-theme02-main-gallery-type02 .gw-img > img{transform: scale(1.0);transition: all 1.5s cubic-bezier(0.19, 1, 0.22, 1);}
#gw-theme02-main-gallery-type02 .gw-text-container{position: relative;padding: 30px;background: #fff;}
#gw-theme02-main-gallery-type02 .gw-theme02-main-icon {position: absolute;right: 10px;top: 10px;}
#gw-theme02-main-gallery-type02 .gw-theme02-main-icon > div {width: 35px;height: 35px;position: relative;border-radius: 100%;}
#gw-theme02-main-gallery-type02 .icon-hit {background: #ff0000;}
#gw-theme02-main-gallery-type02 .icon-notice {background: #BFBFBF;}
#gw-theme02-main-gallery-type02 .icon-new {background: var(--main-color);}
#gw-theme02-main-gallery-type02 .sticky01 {padding: 7px 10px;border-radius: 15px;background: var(--main-color);}

#gw-theme02-main-gallery-type02 .sticky01-end {background: #999;}
#gw-theme02-main-gallery-type02 .sticky01-end:before {content: "";display: block;width: 100vw;height: 100vw;background: rgba(0,0,0,0.8);position: absolute;top: -15px;left: -15px;z-index: -100;}
#gw-theme02-main-gallery-type02 .sticky01-ing {background: var(--main-color);}
#gw-theme02-main-gallery-type02 .sticky01-wait {background: #444;}

#gw-theme02-main-gallery-type02 .gw-title-container {display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;text-overflow: ellipsis;overflow: hidden;}
#gw-theme02-main-gallery-type02 .gw-title { font-size: var(--main-title04);border-bottom: 1px solid transparent;line-height: 1.5;transition: all 1s cubic-bezier(0.19, 1, 0.22, 1);}
#gw-theme02-main-gallery-type02 .gw-text {display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;text-overflow: ellipsis;overflow: hidden;line-height: 1.75;color: #666;font-size: var(--main-text01);}
#gw-theme02-main-gallery-type02 .tab-content > ul > li > a:hover .gw-img > img{transform: scale(1.06);}
#gw-theme02-main-gallery-type02 .gw-benefit-prev, #gw-theme02-main-gallery-type02 .gw-benefit-next {display:flex;align-items:center;place-content: center;position: absolute;top: 50%;transform: translateY(-50%);z-index: 1;width: 50px;height: 50px;border-radius: 50%;background: #fff;transition: all .3s;cursor: pointer;}
#gw-theme02-main-gallery-type02 .gw-benefit-prev {left: -25px;}
#gw-theme02-main-gallery-type02 .gw-benefit-next {right: -25px;}
#gw-theme02-main-gallery-type02 .gw-benefit-prev:hover, #gw-theme02-main-gallery-type02 .gw-benefit-next:hover {background: var(--main-color);}
#gw-theme02-main-gallery-type02 .gw-benefit-prev > i {transition: all 0.3s ease;}
#gw-theme02-main-gallery-type02 .gw-benefit-prev:hover > i {margin-right: 10px;color: #fff;}
#gw-theme02-main-gallery-type02 .gw-benefit-next > i {transition: all 0.3s ease;}
#gw-theme02-main-gallery-type02 .gw-benefit-next:hover > i {margin-left: 10px;color: #fff;}

#gw-theme02-main-gallery-type02 .gw-sns-container {position: absolute;bottom: 30px;right:30px;display: flex;justify-content: center;align-items: center;width: 50px;height: 50px;border-radius: 100%;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-btn-container{display: flex;justify-content: center;align-items: center;position: relative;z-index: 3;background: #fff;width: 50px;height: 50px;border-radius: 100%;border:2px solid #ddd;animation: fab-animation-reverse 0.4s ease-out forwards;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-btn-container .more-btn{transition: all 0.3s cubic-bezier(0.19, 1, 0.22, 1);}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-btn-container .close-btn{opacity: 0;transition: all 0.3s cubic-bezier(0.19, 1, 0.22, 1);}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-btn-container.on {background: transparent;border: none;color: #fff;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-btn-container.on .close-btn{opacity: 1;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-btn-container.on .more-btn{opacity: 0;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-sns-list {position: absolute;z-index: 2;opacity: 0;top: -110px;display: flex;gap:5px;flex-direction: column;justify-content: space-around;align-items: center;transition: opacity 0.2s ease-in, top 0.2s ease-in, width 0.1s ease-in;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-sns-list > li{width: 36px;height: 36px;border-radius: 100%;background: #f8f8f8;transition: all 0.3s cubic-bezier(0.19, 1, 0.22, 1);}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-sns-list > li:hover {box-shadow: 0px 4px 10px rgba(0,0,0,.15);}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-sns-list a {display:flex;align-items:center;place-content:center;width:100%;height: 100%;color:#666;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-sns-list a.disabled {color:#ccc;}
#gw-theme02-main-gallery-type02 .gw-sns-container .gw-sns-list a > img{width: 24px;height: 24px;}
#gw-theme02-main-gallery-type02 .gw-sns-container input {height: 100%;width: 100%;border-radius: 100%;cursor: pointer;position: absolute;z-index: 5;opacity: 0;}
#gw-theme02-main-gallery-type02 .gw-sns-container input:checked ~ .gw-sns-list {animation: gw-sns-list-animation 0.4s ease-out forwards 0.1s;top: -168px;opacity: 1;}


@keyframes gw-sns-list-animation {
    0% {
        transform: scale(1, 1);
    }
    33% {
        transform: scale(0.95, 1.05);
    }
    66% {
        transform: scale(1.05, 0.95);
    }
    100% {
        transform: scale(1, 1);
    }
    }

/*내용없을경우------------------------------------------------------------------------------------------------------------------ */
#gw-theme02-main-gallery-type02 .gw-empty-list > h3 {font-size: var(--main-title03);}


@media screen and (max-width:1280px) {
    #gw-theme02-main-gallery-type02{padding: 30px 0;}
}

@media screen and (max-width:1024px) {
    /*gw-theme02-main-gallery-type02*/
    #gw-theme02-main-gallery-type02 .gw-img{height: 20vh;}
    #gw-theme02-main-gallery-type02 .tab-content > ul > li > a:hover .gw-img > img{transform: scale(1.0);}
    #gw-theme02-main-gallery-type02 .gw-benefit-prev, #gw-theme02-main-gallery-type02 .gw-benefit-next{display: none;}
    #gw-theme02-main-gallery-type02 .swiper-pagination{bottom:0 !important; position: relative;padding-top: 20px}
    #gw-theme02-main-gallery-type02 .swiper-pagination-bullet {display: inline-block;margin: 0 5px;}
    #gw-theme02-main-gallery-type02 .swiper-pagination-bullet {font-size: 0;background: rgba(0,0,0,0.3);border: none;width: 8px;height: 8px;border-radius: 50%;transition: background-color 0.3s ease;}
    #gw-theme02-main-gallery-type02 .swiper-pagination-bullet-active {width:24px;border-radius:8px;background: rgba(0,0,0,1);}
    #gw-theme02-main-gallery-type02 .gw-main-btn01{margin-top:25px !important;}
}


@media screen and (max-width:576px) {
    /*gw-theme02-main-gallery-type02*/
    #gw-theme02-main-gallery-type02 .gw-text-container{padding: 20px;}
}
